Package org.globus.gsi

# Class X509ProxyCertPathParameters

java.lang.Object
org.globus.gsi.X509ProxyCertPathParameters

All Implemented Interfaces:
  `Cloneable`, `CertPathParameters`

public class X509ProxyCertPathParameters extends Object implements CertPathParameters
Refactor to have an interface that retuns trusted certificates, crls, keys and policy. Manage stores within parameters. PKITrustManager can take that interface and the validator can also be agnostic of this implementation (can support say CertStore or KeyStore for trsuted certs).

Author:
  ranantha@mcs.anl.gov

## Constructor Summary

Constructors
Constructor
Description
`X509ProxyCertPathParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy)`
`X509ProxyCertPathParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy, Map<String,ProxyPolicyHandler> initHandlers)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Makes a copy of this `CertPathParameters`.
`CertStore`
`getCrlStore()`
`Map<String,ProxyPolicyHandler>`
`getPolicyHandlers()`
`SigningPolicyStore`
`getSigningPolicyStore()`
`KeyStore`
`getTrustStore()`
`boolean`
`isRejectLimitedProxy()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### X509ProxyCertPathParameters

public X509ProxyCertPathParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy)

### X509ProxyCertPathParameters

public X509ProxyCertPathParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy, Map<String,ProxyPolicyHandler> initHandlers)

## Method Details

### getTrustStore

public KeyStore getTrustStore()

### getCrlStore

public CertStore getCrlStore()

### getSigningPolicyStore

public SigningPolicyStore getSigningPolicyStore()

### isRejectLimitedProxy

public boolean isRejectLimitedProxy()

### getPolicyHandlers

public Map<String,ProxyPolicyHandler> getPolicyHandlers()

### clone

public Object clone()
Makes a copy of this `CertPathParameters`. Changes to the copy will not affect the original and vice versa.

Specified by:
  `clone` in interface `CertPathParameters`
Overrides:
  `clone` in class `Object`
Returns:
  a copy of this `CertPathParameters`